SQLITE3_BIND_PARAMETER_COUNT(3) | Library Functions Manual | SQLITE3_BIND_PARAMETER_COUNT(3)

# NAME

`sqlite3_bind_parameter_count` —
Number Of SQL Parameters

# SYNOPSIS

int
`sqlite3_bind_parameter_count`(sqlite3_stmt*);

# DESCRIPTION

This routine can be used to find the number of SQL parameters in a prepared statement. SQL parameters are tokens of the form "?", "?NNN", ":AAA", "$AAA", or "@AAA" that serve as placeholders for values that are bound to the parameters at a later time.

This routine actually returns the index of the largest (rightmost) parameter. For all forms except ?NNN, this will correspond to the number of unique parameters. If parameters of the ?NNN form are used, there may be gaps in the list.

# SEE ALSO

sqlite3_stmt(3), sqlite3_bind_blob(3), sqlite3_bind_parameter_index(3), sqlite3_bind_parameter_name(3)

December 19, 2018 | NetBSD 9.5